# Get a checkout

`GET https://app.shuttleglobal.com/c/api/instances/{instance_key}/checkouts/{nonce}`

Retrieve details of an existing checkout session by its nonce.

## Authentication

- basicAuth: Basic Authentication using secret key
- bearerAuth: OAuth 2.0 Bearer Token Authentication

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `nonce` | path | string | yes | The checkout's `id` (its nonce), as returned when you created it. |
| `expand` | query | string | no | Set to `core` to include internal core data |

## Responses

### 200: Checkout session details

```json
{
  "status": "OK",
  "checkout": {
    "id": "string",
    "nonce": "string",
    "options": {},
    "status": "BUILDING"
  }
}
```

### 401: Unauthorised: the API key is missing or not valid

```json
{
  "code": "UNAUTHORIZED",
  "message": "Unauthorised"
}
```

### 404: Checkout not found

```json
{
  "code": "string",
  "message": "string"
}
```

## Example request

```sh
curl --request GET \
  --url https://app.shuttleglobal.com/c/api/instances/YOUR_INSTANCE_KEY/checkouts/NONCE \
  --header 'Authorization: Basic <base64 of SECRET_KEY:>'
```

Reference page: https://docs.shuttleglobal.com/platforms/reference/operations/getcheckout/